> For the complete documentation index, see [llms.txt](https://docs.ismalicious.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ismalicious.com/technical-docs/api-reference/search-resource.md).

# Search resource

### Searching by keyword

Returns all domains occurences of a given keyword.

### Request

<mark style="color:yellow;">POST</mark> `https://ismalicious.com/api/search?keywords=adidas`

Try this endpoint in your [**browser** ](https://api.ismalicious.com/search?keywords=adidas)🔗

{% tabs %}
{% tab title="Request" %}
Query Parameters

| Parameter    | Type   | Description             |
| ------------ | ------ | ----------------------- |
| `keywords`   | string | The word to search for. |
| {% endtab %} |        |                         |

{% tab title="Response" %}

#### Response

```json
{
  "keywords": "adidas",
  "hits": [
    "adidasyeezy.000webhostapp.com",
    "adidas-predator.fr",
    "tennis1.adidas3.tech",
    "adidasyeeyzpolska.com",
    "adidastore.xyz",
    "itadidas.buzz"
  ]
}
```

{% endtab %}
{% endtabs %}

### Description

The feature enables users to find domain names similar to their own, which could be used maliciously to impersonate their brand or conduct phishing attacks. By identifying these similar domains, brands can take steps to protect their reputation and customers.

#### Why is this useful?

* **Brand Protection**: Prevents brand impersonation and reduces the risk of phishing attacks.
* **Customer Safety**: Ensures customers interact only with legitimate domains.
* **Proactive Defense**: Allows for early detection and action against potential threats.
* **Market Awareness**: Keeps brands informed about potential misuse of their name.

```
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ismalicious.com/technical-docs/api-reference/search-resource.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
